Subject: Re: bull for beef

From: [email-masked] (Kevin W. Gagel)
Date: Fri, 01 Sep 1995 22:15:17 GMT

Heather Hall <[email-masked]> wrote:

>I have a 2 year old Charolais bull who I am considering having 
>slaughtered for beef.  I have been told that I should castrate him asap 
>and then keep him for at least a few months.  Could someone tell me if 
>this makes sense and what it is supposed to accomplish.  All of our cows 
>have been bred for this year so I don't really see what difference it 
>makes.

My understanding in castrating a bull is to make it grow better for
meat sales. but I don't know what difference it will make this late in
his life, if any at all.  I don't know much at all about this subject
so maybee some who does could better answer this.

Kevin W. Gagel
[email-masked]
Maple Ridge, British Columbia,
Canada.
"Home of the Golden Ears"